Package Base Details: kodi-devel

Git Clone URL: https://aur.archlinux.org/kodi-devel.git (read-only)
Keywords: kodi kodi-devel
Submitter: alucryd
Maintainer: MarcinWieczorek (graysky)
Last Packager: graysky
Votes: 32
Popularity: 0.189633
First Submitted: 2014-08-11 23:33
Last Updated: 2019-06-12 21:29

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 ... Next › Last »

graysky commented on 2018-11-04 17:33

Building with makepkg or an AUR-not-helper? Build fine for me in a clean chroot.

nebosa commented on 2018-11-04 17:25

Hello, need help please. Until 18.04b3 I had no problems creating. Now I have this error:

-- Build files have been written to: /tmp/trizen-kurt/kodi-pre-release/src/kodi-build

Scanning dependencies of target kodi-xrandr [ 0%] Building C object CMakeFiles/kodi-xrandr.dir/xbmc-xrandr.c.o /tmp/trizen-kurt/kodi-pre-release/src/xbmc-18.0b5-Leia/xbmc-xrandr.c:29:10: fatal error: X11/Xlib.h: No such file or directory #include <X11/Xlib.h> ^~~~~~~~~~~~

compilation terminated.

make[2]: [CMakeFiles/kodi-xrandr.dir/build.make:63: CMakeFiles/kodi-xrandr.dir/xbmc-xrandr.c.o] Fehler 1 make[1]: [CMakeFiles/Makefile2:105: CMakeFiles/kodi-xrandr.dir/all] Fehler 2 make: *** [Makefile:141: all] Fehler 2 ==> FEHLER: Ein Fehler geschah in build(). Breche ab... :: Unable to build kodi-tools-texturepacker-pre-release - makepkg exited with code: 4

Kr1ss commented on 2018-11-04 13:28

Thx for the package @graysky ! Sadly, it seems that after the latest update, the sha256sum for the main kodi source tarball is wrong. The tarball has 7735bd346d3f1d62f8bd7a37cc5ad25b1fa16404c133e10e12995ac9d23d0161, whereas the PKGBUILD assumes fbd04ed38b895e21bf1d7ed5d59d732ee7f1989d684fae7cbaf9c8ee3a52302f, which makes the build fail.

EDIT: After a look at the commit log I noticed that u actually forgot to update the hash in the sha256sums array.

EDIT 2: Thx for the quick update ! :)

Kubax commented on 2018-10-23 20:21

@graysky i personaly added "=${pkgver}" to xbmc also, but as xbmc as name is heavily outdated, i think this should be fine! Thanks alot!! keep up the great work :)

edit: i completely rebuild the packages now, and it worked without editing the pkgbuild :)

graysky commented on 2018-10-23 19:51

@Kubax - OK. I am building/testing 18.0b4 now and will push soon. Would this satisfy the use case that is currently missing:

% grep provi PKGBUILD 
  provides=('xbmc' "kodi=${pkgver}")
  provides=("kodi-eventclients=${pkgver}")
  provides=("kodi-tools-texturepacker=${pkgver}")
  provides=("kodi-dev=${pkgver}")

Kubax commented on 2018-10-23 19:13

@graysky the provides fixed the build on my site. so it should be a good solution to add the pkgversion to the provides... best would be to provide it to all the subpackages too.

graysky commented on 2018-10-16 19:00

Proposal is adding provides=("kodi=${pkgver}")? Would that get the job done?

haawda commented on 2018-10-16 13:03

The issue about this package not providing a versioned package is not that this package does not build (inside or outside a clean changeroot) but that further AUR packages need a versioned dependency that this package could easily deliver.

Niklas commented on 2018-09-13 13:11

@graysky: AUR helpers such as aurman use the AUR API to resolve dependencies. Editing the PKGBUILD is a hassle especially when using those helpers as any changes have to be reapplied every update, also, that wouldn't solve the current issues as the AUR API can't respect any manual changes. A versioned provision provides AUR helpers with the information to realize that this is version 18.0b2 of Kodi, so other packages who require kodi >=18 can find this.

graysky commented on 2018-09-03 15:19

I don't use AUR helpers. Build in a clean chroot using the arch tools or my linked wrapper.